Bug 1282267 - [abrt] xfce4-power-manager: _gtk_widget_run_controllers(): xfce4-power-manager killed by SIGSEGV
[abrt] xfce4-power-manager: _gtk_widget_run_controllers(): xfce4-power-manage...
Status: CLOSED DUPLICATE of bug 1226858
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:04f6960c2844d912410eec870fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:51 EST by David
Modified: 2016-01-30 15:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 21:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.90 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: cgroup (177 bytes, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: core_backtrace (5.89 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: dso_list (9.56 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: environ (1.36 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: maps (29.51 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: mountinfo (3.05 KB, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: open_fds (946 bytes, text/plain)
2015-11-15 16:51 EST, David
no flags Details
File: proc_pid_status (873 bytes, text/plain)
2015-11-15 16:51 EST, David
no flags Details

  None (edit)
Description David 2015-11-15 16:51:23 EST
Version-Release number of selected component:
xfce4-power-manager-1.5.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-power-manager
crash_function: _gtk_widget_run_controllers
executable:     /usr/bin/xfce4-power-manager
global_pid:     1649
kernel:         4.2.5-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_widget_run_controllers at gtkwidget.c:7304
 #1 scale_menu_item_grab_broken at ../panel-plugins/power-manager-plugin/scalemenuitem.c:324
 #2 scale_menu_item_button_release_event at ../panel-plugins/power-manager-plugin/scalemenuitem.c:281
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #4 g_type_class_meta_marshalv at gclosure.c:1021
 #5 _g_closure_invoke_va at gclosure.c:864
 #8 gtk_widget_event_internal at gtkwidget.c:7692
 #9 propagate_event_up at gtkmain.c:2517
 #10 propagate_event at gtkmain.c:2619
 #11 gtk_main_do_event at gtkmain.c:1850
Comment 1 David 2015-11-15 16:51:28 EST
Created attachment 1094630 [details]
File: backtrace
Comment 2 David 2015-11-15 16:51:29 EST
Created attachment 1094631 [details]
File: cgroup
Comment 3 David 2015-11-15 16:51:31 EST
Created attachment 1094632 [details]
File: core_backtrace
Comment 4 David 2015-11-15 16:51:32 EST
Created attachment 1094633 [details]
File: dso_list
Comment 5 David 2015-11-15 16:51:34 EST
Created attachment 1094634 [details]
File: environ
Comment 6 David 2015-11-15 16:51:35 EST
Created attachment 1094635 [details]
File: exploitable
Comment 7 David 2015-11-15 16:51:37 EST
Created attachment 1094636 [details]
File: limits
Comment 8 David 2015-11-15 16:51:38 EST
Created attachment 1094637 [details]
File: maps
Comment 9 David 2015-11-15 16:51:40 EST
Created attachment 1094638 [details]
File: mountinfo
Comment 10 David 2015-11-15 16:51:41 EST
Created attachment 1094639 [details]
File: namespaces
Comment 11 David 2015-11-15 16:51:43 EST
Created attachment 1094640 [details]
File: open_fds
Comment 12 David 2015-11-15 16:51:44 EST
Created attachment 1094641 [details]
File: proc_pid_status
Comment 13 unknown 2015-12-09 14:56:36 EST
The problem was fixed in the latest update of gtk3 .
Comment 14 Laurentiu Pancescu 2015-12-10 13:46:37 EST
Another user experienced a similar problem:

I right-clicked on the battery icon and started to adjust the display brightness by dragging its slider left and right using the integrated trackpad as a mouse. The display brightness changed during dragging, but xfce4-power-manager crashed after 2-3 discrete brightness steps, while I was still dragging.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-power-manager --restart --sm-client-id 2aef565bf-d90d-4a10-afc9-0be0f6699953
crash_function: _gtk_widget_run_controllers
executable:     /usr/bin/xfce4-power-manager
global_pid:     1728
kernel:         4.2.6-301.fc23.i686
package:        xfce4-power-manager-1.5.2-1.fc23
reason:         xfce4-power-manager killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Konstantin Svist 2015-12-13 15:12:29 EST
Another user experienced a similar problem:

I was altering display brightness via systray icon popup

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-power-manager
crash_function: _gtk_widget_run_controllers
executable:     /usr/bin/xfce4-power-manager
global_pid:     1859
kernel:         4.2.6-301.fc23.x86_64
package:        xfce4-power-manager-1.5.2-1.fc23
reason:         xfce4-power-manager killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Mukundan Ragavan 2015-12-14 21:20:24 EST

*** This bug has been marked as a duplicate of bug 1226858 ***

Note You need to log in before you can comment on or make changes to this bug.